Subject: Re: Ranma's job
From: [email-masked] (Wei-Hwa Huang)
To: [email-masked]
Date: 2 Mar 1995 09:50:46 GMT

[email-masked] (Anand Chelian) writes:

>Actually, if you look at it... Akane is the most traditional of Ranma's
>fiancees.... And if you think R.T.'s writing and art are not traditional, you
>are mistaken.  They do have strong female role models, but, if you look, most
>of her stories are set in a rather traditional Japan.  And yes, Japan, luckily,
>seems to be getting less sexist.

Bzzt!  Kasumi is *much* more traditional than Akane.  Remember, she's still
valid despite the age difference.  (Kasumi's first reaction to hearing about
Ranma: "I sure hope he's older than me.")  

>Cool, I am a Leo, what does that mean?  Don't worry about shutting up.. If no
>one said it, then it could neither be corrected or supported...

Leo here, also.